Description

Cuando ocurre alguna excepción al exportar a WKT se captura y se lanza una GeometryOperationException como se ve en el
siguiente código en la clase FromWKT:

public Object invoke(Geometry geom, GeometryOperationContext ctx)
            throws GeometryOperationException {
        try {
            return parser.read( (String) ctx.getAttribute(FromWKTGeometryOperationContext.TEXT));
        } catch (ParseException e) {
            throw new GeometryOperationException(geom.getType(),CODE,e);
    }
}

El problema ocurre cuando el método recibe una geometría nula e intenta obtener el tipo, dado un NPE. Adjunto LOG.

Associated revisions
Revision 42579 - 12/17/2015 04:54 PM - Joaquín  del Cerro Murciano

refs #3937, corregida atrapada de errores.

History
#1 - 12/17/2015 04:55 PM - Joaquín  del Cerro Murciano
- Target version set to 2.3.0-2412 (rev. org.gvsig.desktop-2.0.118)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#2 - 12/21/2015 12:50 PM - Álvaro Anguix
- Status changed from Fixed to Closed
